Skip to main content

Open Interest Statistics

API Description​

Query open interest stats

HTTP Request​

GET /futures/data/openInterestHist

Request Weight​

1

Request Parameters​

NameTypeMandatoryDescription
pairSTRINGYESBTCUSD
contractTypeENUMNOPERPETUAL / CURRENT_QUARTER / NEXT_QUARTER. If omitted, returns aggregated data across all contract types.
periodENUMYES"5m","15m","30m","1h","2h","4h","6h","12h","1d"
limitLONGNODefault 30,Max 500
startTimeLONGNO
endTimeLONGNO
  • If startTime and endTime are not sent, the most recent data is returned.
  • Only the data of the latest 30 days is available.
  • The timestamp in the response is the end time of the period.

Response Example​

[  
{
"pair": "BTCUSD",
"contractType": "CURRENT_QUARTER",
"sumOpenInterest": "20403", //unit: cont
"sumOpenInterestValue": "176196512.23400000", //unit: base asset
"timestamp": 1591261042378
},
{
"pair": "BTCUSD",
"contractType": "CURRENT_QUARTER",
"sumOpenInterest": "20401",
"sumOpenInterestValue": "176178704.98700000",
"timestamp": 1583128200000
}
]